Link CRM email reference
POST
/v1/crm/object-types/{objectKind}/records/{objectID}/emailsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
objectKindstringrequiredobjectIDstringrequiredRequest body
requiredapplication/jsonconversation_idstringdirectionstringmessage_idstringoccurred_atstringsnippetstringsubjectstringResponses
200OK
conversation_idstringcreated_atstringrequireddirectionstringrequiredidstringrequiredlinked_bystringmessage_idstringobject_idstringrequiredobject_kindstringrequiredoccurred_atstringsnippetstringrequiredsubjectstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/object-types/string/records/string/emails" \
-H "Content-Type: application/json" \
-d '{
"conversation_id": "string",
"direction": "string",
"message_id": "string",
"occurred_at": "string",
"snippet": "string",
"subject": "string"
}'const response = await fetch("/v1/crm/object-types/string/records/string/emails", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"conversation_id": "string",
"direction": "string",
"message_id": "string",
"occurred_at": "string",
"snippet": "string",
"subject": "string"
})
});import requests
response = requests.post(
"/v1/crm/object-types/string/records/string/emails",
headers={
"Content-Type": "application/json"
},
json={
"conversation_id": "string",
"direction": "string",
"message_id": "string",
"occurred_at": "string",
"snippet": "string",
"subject": "string"
},
)Response
{
"conversation_id": "string",
"created_at": "string",
"direction": "string",
"id": "string",
"linked_by": "string",
"message_id": "string",
"object_id": "string",
"object_kind": "string",
"occurred_at": "string",
"snippet": "string",
"subject": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}